Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064278 - Ovirt log show the SAM ProxyPassword in plaintext
Summary: Ovirt log show the SAM ProxyPassword in plaintext
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Fabian Deutsch
QA Contact: Virtualization Bugs
URL:
Whiteboard: node
Depends On:
Blocks: 1123329 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-02-12 10:45 UTC by Fabian Deutsch
Modified: 2016-02-10 20:03 UTC (History)
18 users (show)

Fixed In Version: rhev-hypervisor6-6.6-20141218.0.iso rhev-hypervisor7-7.0-20141218.0.iso
Doc Type: Bug Fix
Doc Text:
Clone Of: 971235
Environment:
Last Closed: 2015-02-11 20:52:32 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0160 normal SHIPPED_LIVE ovirt-node bug fix and enhancement update 2015-02-12 01:34:52 UTC

Comment 9 wanghui 2015-01-21 03:03:22 UTC
Test version:
rhev-hypervisor6-6.6-20150114.0
ovirt-node-3.2.1-4.el6.noarch

Test step:
1. Install rhev-hypervisor6-6.6-20150114.0
2. Configure network
3. Register to SAM using proxy server with password required
4. Check the /var/log/ovirt-node.log file

Test result:
1. After step4, it record the register action as follows.
2015-01-21 02:55:38,085       INFO ['/usr/sbin/subscription-manager', 'register', '--username', 'admin', '--password', 'XXXXXXX', '--proxy', '10.66.11.225:3128', '--proxyuser', 'rhevh', '--proxypassword', 'XXXXXXX', '--force']

Test summary:
1. Now the password and proxypassword are marked as "XXXXXXX". So this issue is fixed in rhev-hypervisor6-6.6-20150114.0 now. Change the status from ON_QA to Verified.

Comment 11 errata-xmlrpc 2015-02-11 20:52:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0160.html


Note You need to log in before you can comment on or make changes to this bug.